<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Дневники'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));




if(isset($user)){

if ($user['level']==4){
echo '</a></b>';
};



if($gconf[0]['open']!=1){


if(time()>($user['gorod_eda_time']+(3600*12))){
if($user['gorod_life']>=25){
mysql_query("UPDATE `user` SET `gorod_life`=`gorod_life`-25,`gorod_eda_time`='".time()."' WHERE `id`='".$user['id']."'");
};
};




echo"<a href='?sort=t'>Послед.</a>/<a href='?sort=c'>Популяр.</a><br />\n";

echo "<img src='/images/New.gif' alt=''/> <a href=\"add.php\">Создать Дневник</a><br />";


echo '</div>';
if (isset($_GET['sort']) && $_GET['sort'] =='t')$order='order by `time` desc';

elseif (isset($_GET['sort']) && $_GET['sort'] =='c') $order='order by `count` desc';
else $order='order by `time` desc';


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE `privat` = 0"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];



if($k_post==0)
{
echo "   <br>\n";


echo "Блоггеров пока нет<br />";


echo "   </div>\n";
}

$res = mysql_query("select * from `blog_list` WHERE `privat` = 0 $order LIMIT $start, $set[p_str];");

while ($blog = mysql_fetch_array($res)){


$ank=get_user($blog['id_user']);


if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}



echo "".online($ank['id'])." \n";
echo "<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\"><b>$ank[nick]</span></b></a>\n";
if($ank['rating']>=0 && $ank['rating']<=2)echo " <img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=3 && $ank['rating']<=5)echo " <img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=6 && $ank['rating']<=8)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=9 && $ank['rating']<=11)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=12 && $ank['rating']<=14)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=15 && $ank['rating']<=19)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'></img>";
if($ank['rating']>=20 && $ank['rating']<=24)echo " <img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=25 && $ank['rating']<=29)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=30 && $ank['rating']<=34)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=35 && $ank['rating']<=39)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=40 && $ank['rating']<=46)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'></img>";
if($ank['rating']>=47 && $ank['rating']<=53)echo " <img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=54 && $ank['rating']<=60)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=61 && $ank['rating']<=67)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=68 && $ank['rating']<=74)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=75 && $ank['rating']<=84)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'></img>";
if($ank['rating']>=85 && $ank['rating']<=94)echo " <img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=95 && $ank['rating']<=104)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=105 && $ank['rating']<=114)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=115 && $ank['rating']<=124)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=125 && $ank['rating']<=139)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'></img>";
if($ank['rating']>=140 && $ank['rating']<=154)echo " <img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=155 && $ank['rating']<=169)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=170 && $ank['rating']<=184)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=185 && $ank['rating']<=199)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=200 && $ank['rating']<=219)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'></img>";
if($ank['rating']>=220 && $ank['rating']<=239)echo " <img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=240 && $ank['rating']<=259)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=260 && $ank['rating']<=279)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=280 && $ank['rating']<=299)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=300 && $ank['rating']<=2999999999)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'></img>";echo" (".vremja($blog['time']).")\n";


echo "<br><img src='/blog/gall2.gif' alt=''/> <a href='list.php?id=".$blog['id']."'>".output_text($blog['name'])."</a>\n";


echo"( <a href='komm.php?id=$blog[id]'>Комментарии <b>".mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '$blog[id]'"),0)."</b></a> )<br/>";







echo "  </div>\n";

}


if (isset($_GET['sort'])) $dop="sort=$_GET[sort]&amp;";
else $dop='';
if ($k_page>1)str('?'.$dop.'',$k_page,$page); // Вывод страниц


if(isset($user))
{
echo'<div class="busi">';


echo '</div>';
}


}else{
echo '<div class="msg">Город закрыт администратором!</div>';
};

}else{
echo "<form method='post' action='/?$passgen'>\n";
echo "Логин:<br /><input type='text' name='nick' maxlength='32' /><br />\n";
echo "Пароль (<a href='/pass.php'>Забыли</a>):<br /><input type='password' name='pass' maxlength='32' /><br />\n";
echo "<label><input type='checkbox' name='aut_save' value='1' /> Запомнить меня<br /></label>\n";
echo "<input type='submit' value='Войти' />\n";
echo "</form><br />\n";
echo "<div class='foot'>\n";
echo "&raquo;<a href='/reg.php'><b>Регистрация</b></a><br />\n";
echo "</div>\n";
};

include_once '../sys/inc/tfoot.php';
?>








